groovy-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henrik (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (GROOVY-8483) groovy-all v2.5.0-beta-3 is missing from bintray
Date Thu, 01 Mar 2018 12:09:00 GMT

    [ https://issues.apache.org/jira/browse/GROOVY-8483?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16380028#comment-16380028
] 

Henrik edited comment on GROOVY-8483 at 3/1/18 12:08 PM:
---------------------------------------------------------

As a workaround I use this instead:
{code:java}
groovy: [
    "org.codehaus.groovy:groovy:${versions.groovy}",
    "org.codehaus.groovy:groovy-groovysh:${versions.groovy}",
    "org.codehaus.groovy:groovy-json:${versions.groovy}",
    "org.codehaus.groovy:groovy-nio:${versions.groovy}",
    "org.codehaus.groovy:groovy-macro:${versions.groovy}",
    "org.codehaus.groovy:groovy-templates:${versions.groovy}",
    "org.codehaus.groovy:groovy-xml:${versions.groovy}",
]{code}
I also have to exclude *groovy-all* as a transitive dependency from all dependencies, since
an "upgraded" dependency (shown as e.g. *2.4.13 --> 2.5.0-beta-3*  in *./gradlew dependencies*)
will still believe that groovy-all is a jar.  Gradle probably doesn't understand that it
has switched from jar to pom when switching versions.

You can probably just close this issue, since the parent issue is solved.  I'll see if I
can replicate the groovy-all:jar problem in a minimal gradle/groovy project if I have some
spare time.


was (Author: monti):
As a workaround I use this instead:
{code:java}
groovy: [
    "org.codehaus.groovy:groovy:${versions.groovy}",
    "org.codehaus.groovy:groovy-groovysh:${versions.groovy}",
    "org.codehaus.groovy:groovy-json:${versions.groovy}",
    "org.codehaus.groovy:groovy-nio:${versions.groovy}",
    "org.codehaus.groovy:groovy-macro:${versions.groovy}",
    "org.codehaus.groovy:groovy-templates:${versions.groovy}",
    "org.codehaus.groovy:groovy-xml:${versions.groovy}",
]{code}
I also have to exclude *groovy-all* as a transitive dependency from all dependencies.

You can probably just close this issue, since the parent issue is solved.  I'll see if I
can replicate the groovy-all:jar problem in a minimal gradle/groovy project if I have some
spare time.

> groovy-all v2.5.0-beta-3 is missing from bintray
> ------------------------------------------------
>
>                 Key: GROOVY-8483
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8483
>             Project: Groovy
>          Issue Type: Bug
>          Components: release
>    Affects Versions: 2.5.0-beta-3
>            Reporter: Henrik
>            Priority: Blocker
>
> [https://dl.bintray.com/groovy/maven/org/codehaus/groovy/groovy-all/2.5.0-beta-3/] does
not exist



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message